- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QToolButton Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qtoolbutton.h.

`#include <qtoolbutton.h>`

Inheritance diagram for QToolButton:
[legend]

List of all members.

## Public Types
enum | ToolButtonPopupMode { DelayedPopup, MenuButtonPopup, InstantPopup }
## Public Slots
void | showMenu ()
void | setToolButtonStyle (Qt::ToolButtonStyle style)
void | setDefaultAction (QAction *)
## Signals
void | triggered (QAction *)
## Public Member Functions
| QToolButton (QWidget *parent=0)
| ~QToolButton ()
QSize | sizeHint () const
QSize | minimumSizeHint () const
Qt::ToolButtonStyle | toolButtonStyle () const
Qt::ArrowType | arrowType () const
void | setArrowType (Qt::ArrowType type)
void | setMenu (QMenu *menu)
QMenu * | menu () const
void | setPopupMode (ToolButtonPopupMode mode)
ToolButtonPopupMode | popupMode () const
QAction * | defaultAction () const
void | setAutoRaise (bool enable)
bool | autoRaise () const
## Protected Member Functions
| QToolButton (QToolButtonPrivate &, QWidget *parent)
bool | event (QEvent *e)
void | mousePressEvent (QMouseEvent *)
void | mouseReleaseEvent (QMouseEvent *)
void | paintEvent (QPaintEvent *)
void | actionEvent (QActionEvent *)
void | enterEvent (QEvent *)
void | leaveEvent (QEvent *)
void | timerEvent (QTimerEvent *)
void | changeEvent (QEvent *)
bool | hitButton (const QPoint &pos) const
void | nextCheckState ()
void | initStyleOption (QStyleOptionToolButton *option) const
## Properties
ToolButtonPopupMode | popupMode
Qt::ToolButtonStyle | toolButtonStyle
bool | autoRaise
Qt::ArrowType | arrowType

## Member Enumeration Documentation

enum ToolButtonPopupMode

Search for all occurrences

Enumerator:

  DelayedPopup | Search for all occurrences
  MenuButtonPopup | Search for all occurrences
  InstantPopup | Search for all occurrences

Definition at line 71 of file qtoolbutton.h.

                                 {
            DelayedPopup,
            MenuButtonPopup,
            InstantPopup
        };

## Constructor & Destructor Documentation

QToolButton | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QToolButton | ( |  | ) |

QToolButton | ( | QToolButtonPrivate & | ,
|  | QWidget * | parent
| ) |  | `[protected]`

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Qt::ToolButtonStyle toolButtonStyle | ( |  | ) | const

Search for all occurrences

Qt::ArrowType arrowType | ( |  | ) | const

Search for all occurrences

void setArrowType | ( | Qt::ArrowType | type | ) |

Search for all occurrences

void setMenu | ( | QMenu * | menu | ) |

Search for all occurrences

QMenu* menu | ( |  | ) | const

Search for all occurrences

void setPopupMode | ( | ToolButtonPopupMode | mode | ) |

Search for all occurrences

ToolButtonPopupMode popupMode | ( |  | ) | const

Search for all occurrences

QAction* defaultAction | ( |  | ) | const

Search for all occurrences

void setAutoRaise | ( | bool | enable | ) |

Search for all occurrences

bool autoRaise | ( |  | ) | const

Search for all occurrences

void showMenu | ( |  | ) | `[slot]`

Search for all occurrences

void setToolButtonStyle | ( | Qt::ToolButtonStyle | style | ) | `[slot]`

Search for all occurrences

void setDefaultAction | ( | QAction * |  | ) | `[slot]`

Search for all occurrences

void triggered | ( | QAction * |  | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void mouseReleaseEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractButton.

void actionEvent | ( | QActionEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void enterEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void leaveEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void timerEvent | ( | QTimerEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void changeEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

bool hitButton | ( | const QPoint & | pos | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void nextCheckState | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void initStyleOption | ( | QStyleOptionToolButton * | option | ) | const `[protected]`

Search for all occurrences

## Property Documentation

ToolButtonPopupMode popupMode `[read, write]`

Search for all occurrences

Definition at line 64 of file qtoolbutton.h.

Qt::ToolButtonStyle toolButtonStyle `[read, write]`

Search for all occurrences

Definition at line 66 of file qtoolbutton.h.

bool autoRaise `[read, write]`

Search for all occurrences

Definition at line 67 of file qtoolbutton.h.

Qt::ArrowType arrowType `[read, write]`

Search for all occurrences

Definition at line 68 of file qtoolbutton.h.

The documentation for this class was generated from the following file:

- QtGui/qtoolbutton.h

QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton
QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton QToolButton